// Code generated by mockery v2.42.3. DO NOT EDIT.

package mock_manager

import (
	context "context"

	mock "github.com/stretchr/testify/mock"

	manager "gitlab.com/commonground/nlx/fsc-nlx/controller/adapters/manager"
)

// MockManager is an autogenerated mock type for the Manager type
type MockManager struct {
	mock.Mock
}

type MockManager_Expecter struct {
	mock *mock.Mock
}

func (_m *MockManager) EXPECT() *MockManager_Expecter {
	return &MockManager_Expecter{mock: &_m.Mock}
}

// AcceptContract provides a mock function with given fields: ctx, contentHash, auditlogCorrelationID
func (_m *MockManager) AcceptContract(ctx context.Context, contentHash string, auditlogCorrelationID string) error {
	ret := _m.Called(ctx, contentHash, auditlogCorrelationID)

	if len(ret) == 0 {
		panic("no return value specified for AcceptContract")
	}

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, string, string) error); ok {
		r0 = rf(ctx, contentHash, auditlogCorrelationID)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// MockManager_AcceptContract_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'AcceptContract'
type MockManager_AcceptContract_Call struct {
	*mock.Call
}

// AcceptContract is a helper method to define mock.On call
//   - ctx context.Context
//   - contentHash string
//   - auditlogCorrelationID string
func (_e *MockManager_Expecter) AcceptContract(ctx interface{}, contentHash interface{}, auditlogCorrelationID interface{}) *MockManager_AcceptContract_Call {
	return &MockManager_AcceptContract_Call{Call: _e.mock.On("AcceptContract", ctx, contentHash, auditlogCorrelationID)}
}

func (_c *MockManager_AcceptContract_Call) Run(run func(ctx context.Context, contentHash string, auditlogCorrelationID string)) *MockManager_AcceptContract_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(string), args[2].(string))
	})
	return _c
}

func (_c *MockManager_AcceptContract_Call) Return(_a0 error) *MockManager_AcceptContract_Call {
	_c.Call.Return(_a0)
	return _c
}

func (_c *MockManager_AcceptContract_Call) RunAndReturn(run func(context.Context, string, string) error) *MockManager_AcceptContract_Call {
	_c.Call.Return(run)
	return _c
}

// CreateContract provides a mock function with given fields: ctx, args
func (_m *MockManager) CreateContract(ctx context.Context, args *manager.CreateContractArgs) (string, error) {
	ret := _m.Called(ctx, args)

	if len(ret) == 0 {
		panic("no return value specified for CreateContract")
	}

	var r0 string
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *manager.CreateContractArgs) (string, error)); ok {
		return rf(ctx, args)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *manager.CreateContractArgs) string); ok {
		r0 = rf(ctx, args)
	} else {
		r0 = ret.Get(0).(string)
	}

	if rf, ok := ret.Get(1).(func(context.Context, *manager.CreateContractArgs) error); ok {
		r1 = rf(ctx, args)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockManager_CreateContract_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'CreateContract'
type MockManager_CreateContract_Call struct {
	*mock.Call
}

// CreateContract is a helper method to define mock.On call
//   - ctx context.Context
//   - args *manager.CreateContractArgs
func (_e *MockManager_Expecter) CreateContract(ctx interface{}, args interface{}) *MockManager_CreateContract_Call {
	return &MockManager_CreateContract_Call{Call: _e.mock.On("CreateContract", ctx, args)}
}

func (_c *MockManager_CreateContract_Call) Run(run func(ctx context.Context, args *manager.CreateContractArgs)) *MockManager_CreateContract_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(*manager.CreateContractArgs))
	})
	return _c
}

func (_c *MockManager_CreateContract_Call) Return(_a0 string, _a1 error) *MockManager_CreateContract_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockManager_CreateContract_Call) RunAndReturn(run func(context.Context, *manager.CreateContractArgs) (string, error)) *MockManager_CreateContract_Call {
	_c.Call.Return(run)
	return _c
}

// CreatePeer provides a mock function with given fields: ctx, args
func (_m *MockManager) CreatePeer(ctx context.Context, args *manager.CreatePeerArgs) error {
	ret := _m.Called(ctx, args)

	if len(ret) == 0 {
		panic("no return value specified for CreatePeer")
	}

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, *manager.CreatePeerArgs) error); ok {
		r0 = rf(ctx, args)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// MockManager_CreatePeer_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'CreatePeer'
type MockManager_CreatePeer_Call struct {
	*mock.Call
}

// CreatePeer is a helper method to define mock.On call
//   - ctx context.Context
//   - args *manager.CreatePeerArgs
func (_e *MockManager_Expecter) CreatePeer(ctx interface{}, args interface{}) *MockManager_CreatePeer_Call {
	return &MockManager_CreatePeer_Call{Call: _e.mock.On("CreatePeer", ctx, args)}
}

func (_c *MockManager_CreatePeer_Call) Run(run func(ctx context.Context, args *manager.CreatePeerArgs)) *MockManager_CreatePeer_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(*manager.CreatePeerArgs))
	})
	return _c
}

func (_c *MockManager_CreatePeer_Call) Return(_a0 error) *MockManager_CreatePeer_Call {
	_c.Call.Return(_a0)
	return _c
}

func (_c *MockManager_CreatePeer_Call) RunAndReturn(run func(context.Context, *manager.CreatePeerArgs) error) *MockManager_CreatePeer_Call {
	_c.Call.Return(run)
	return _c
}

// GetPeerInfo provides a mock function with given fields: ctx
func (_m *MockManager) GetPeerInfo(ctx context.Context) (*manager.Peer, error) {
	ret := _m.Called(ctx)

	if len(ret) == 0 {
		panic("no return value specified for GetPeerInfo")
	}

	var r0 *manager.Peer
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context) (*manager.Peer, error)); ok {
		return rf(ctx)
	}
	if rf, ok := ret.Get(0).(func(context.Context) *manager.Peer); ok {
		r0 = rf(ctx)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*manager.Peer)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context) error); ok {
		r1 = rf(ctx)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockManager_GetPeerInfo_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'GetPeerInfo'
type MockManager_GetPeerInfo_Call struct {
	*mock.Call
}

// GetPeerInfo is a helper method to define mock.On call
//   - ctx context.Context
func (_e *MockManager_Expecter) GetPeerInfo(ctx interface{}) *MockManager_GetPeerInfo_Call {
	return &MockManager_GetPeerInfo_Call{Call: _e.mock.On("GetPeerInfo", ctx)}
}

func (_c *MockManager_GetPeerInfo_Call) Run(run func(ctx context.Context)) *MockManager_GetPeerInfo_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context))
	})
	return _c
}

func (_c *MockManager_GetPeerInfo_Call) Return(_a0 *manager.Peer, _a1 error) *MockManager_GetPeerInfo_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockManager_GetPeerInfo_Call) RunAndReturn(run func(context.Context) (*manager.Peer, error)) *MockManager_GetPeerInfo_Call {
	_c.Call.Return(run)
	return _c
}

// ListContractDistribution provides a mock function with given fields: ctx, contentHash
func (_m *MockManager) ListContractDistribution(ctx context.Context, contentHash string) (manager.ContractDistributions, error) {
	ret := _m.Called(ctx, contentHash)

	if len(ret) == 0 {
		panic("no return value specified for ListContractDistribution")
	}

	var r0 manager.ContractDistributions
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, string) (manager.ContractDistributions, error)); ok {
		return rf(ctx, contentHash)
	}
	if rf, ok := ret.Get(0).(func(context.Context, string) manager.ContractDistributions); ok {
		r0 = rf(ctx, contentHash)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(manager.ContractDistributions)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, string) error); ok {
		r1 = rf(ctx, contentHash)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockManager_ListContractDistribution_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'ListContractDistribution'
type MockManager_ListContractDistribution_Call struct {
	*mock.Call
}

// ListContractDistribution is a helper method to define mock.On call
//   - ctx context.Context
//   - contentHash string
func (_e *MockManager_Expecter) ListContractDistribution(ctx interface{}, contentHash interface{}) *MockManager_ListContractDistribution_Call {
	return &MockManager_ListContractDistribution_Call{Call: _e.mock.On("ListContractDistribution", ctx, contentHash)}
}

func (_c *MockManager_ListContractDistribution_Call) Run(run func(ctx context.Context, contentHash string)) *MockManager_ListContractDistribution_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(string))
	})
	return _c
}

func (_c *MockManager_ListContractDistribution_Call) Return(_a0 manager.ContractDistributions, _a1 error) *MockManager_ListContractDistribution_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockManager_ListContractDistribution_Call) RunAndReturn(run func(context.Context, string) (manager.ContractDistributions, error)) *MockManager_ListContractDistribution_Call {
	_c.Call.Return(run)
	return _c
}

// ListContracts provides a mock function with given fields: ctx, args
func (_m *MockManager) ListContracts(ctx context.Context, args *manager.ListContractsArgs) (manager.Contracts, string, error) {
	ret := _m.Called(ctx, args)

	if len(ret) == 0 {
		panic("no return value specified for ListContracts")
	}

	var r0 manager.Contracts
	var r1 string
	var r2 error
	if rf, ok := ret.Get(0).(func(context.Context, *manager.ListContractsArgs) (manager.Contracts, string, error)); ok {
		return rf(ctx, args)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *manager.ListContractsArgs) manager.Contracts); ok {
		r0 = rf(ctx, args)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(manager.Contracts)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *manager.ListContractsArgs) string); ok {
		r1 = rf(ctx, args)
	} else {
		r1 = ret.Get(1).(string)
	}

	if rf, ok := ret.Get(2).(func(context.Context, *manager.ListContractsArgs) error); ok {
		r2 = rf(ctx, args)
	} else {
		r2 = ret.Error(2)
	}

	return r0, r1, r2
}

// MockManager_ListContracts_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'ListContracts'
type MockManager_ListContracts_Call struct {
	*mock.Call
}

// ListContracts is a helper method to define mock.On call
//   - ctx context.Context
//   - args *manager.ListContractsArgs
func (_e *MockManager_Expecter) ListContracts(ctx interface{}, args interface{}) *MockManager_ListContracts_Call {
	return &MockManager_ListContracts_Call{Call: _e.mock.On("ListContracts", ctx, args)}
}

func (_c *MockManager_ListContracts_Call) Run(run func(ctx context.Context, args *manager.ListContractsArgs)) *MockManager_ListContracts_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(*manager.ListContractsArgs))
	})
	return _c
}

func (_c *MockManager_ListContracts_Call) Return(_a0 manager.Contracts, _a1 string, _a2 error) *MockManager_ListContracts_Call {
	_c.Call.Return(_a0, _a1, _a2)
	return _c
}

func (_c *MockManager_ListContracts_Call) RunAndReturn(run func(context.Context, *manager.ListContractsArgs) (manager.Contracts, string, error)) *MockManager_ListContracts_Call {
	_c.Call.Return(run)
	return _c
}

// ListContractsPending provides a mock function with given fields: ctx, args
func (_m *MockManager) ListContractsPending(ctx context.Context, args *manager.ListContractsPendingArgs) (*manager.PendingContracts, string, error) {
	ret := _m.Called(ctx, args)

	if len(ret) == 0 {
		panic("no return value specified for ListContractsPending")
	}

	var r0 *manager.PendingContracts
	var r1 string
	var r2 error
	if rf, ok := ret.Get(0).(func(context.Context, *manager.ListContractsPendingArgs) (*manager.PendingContracts, string, error)); ok {
		return rf(ctx, args)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *manager.ListContractsPendingArgs) *manager.PendingContracts); ok {
		r0 = rf(ctx, args)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*manager.PendingContracts)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *manager.ListContractsPendingArgs) string); ok {
		r1 = rf(ctx, args)
	} else {
		r1 = ret.Get(1).(string)
	}

	if rf, ok := ret.Get(2).(func(context.Context, *manager.ListContractsPendingArgs) error); ok {
		r2 = rf(ctx, args)
	} else {
		r2 = ret.Error(2)
	}

	return r0, r1, r2
}

// MockManager_ListContractsPending_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'ListContractsPending'
type MockManager_ListContractsPending_Call struct {
	*mock.Call
}

// ListContractsPending is a helper method to define mock.On call
//   - ctx context.Context
//   - args *manager.ListContractsPendingArgs
func (_e *MockManager_Expecter) ListContractsPending(ctx interface{}, args interface{}) *MockManager_ListContractsPending_Call {
	return &MockManager_ListContractsPending_Call{Call: _e.mock.On("ListContractsPending", ctx, args)}
}

func (_c *MockManager_ListContractsPending_Call) Run(run func(ctx context.Context, args *manager.ListContractsPendingArgs)) *MockManager_ListContractsPending_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(*manager.ListContractsPendingArgs))
	})
	return _c
}

func (_c *MockManager_ListContractsPending_Call) Return(_a0 *manager.PendingContracts, _a1 string, _a2 error) *MockManager_ListContractsPending_Call {
	_c.Call.Return(_a0, _a1, _a2)
	return _c
}

func (_c *MockManager_ListContractsPending_Call) RunAndReturn(run func(context.Context, *manager.ListContractsPendingArgs) (*manager.PendingContracts, string, error)) *MockManager_ListContractsPending_Call {
	_c.Call.Return(run)
	return _c
}

// ListDelegatedConnections provides a mock function with given fields: ctx, args
func (_m *MockManager) ListDelegatedConnections(ctx context.Context, args *manager.ListDelegatedConnectionsArgs) (*manager.DelegatedConnections, string, error) {
	ret := _m.Called(ctx, args)

	if len(ret) == 0 {
		panic("no return value specified for ListDelegatedConnections")
	}

	var r0 *manager.DelegatedConnections
	var r1 string
	var r2 error
	if rf, ok := ret.Get(0).(func(context.Context, *manager.ListDelegatedConnectionsArgs) (*manager.DelegatedConnections, string, error)); ok {
		return rf(ctx, args)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *manager.ListDelegatedConnectionsArgs) *manager.DelegatedConnections); ok {
		r0 = rf(ctx, args)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*manager.DelegatedConnections)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *manager.ListDelegatedConnectionsArgs) string); ok {
		r1 = rf(ctx, args)
	} else {
		r1 = ret.Get(1).(string)
	}

	if rf, ok := ret.Get(2).(func(context.Context, *manager.ListDelegatedConnectionsArgs) error); ok {
		r2 = rf(ctx, args)
	} else {
		r2 = ret.Error(2)
	}

	return r0, r1, r2
}

// MockManager_ListDelegatedConnections_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'ListDelegatedConnections'
type MockManager_ListDelegatedConnections_Call struct {
	*mock.Call
}

// ListDelegatedConnections is a helper method to define mock.On call
//   - ctx context.Context
//   - args *manager.ListDelegatedConnectionsArgs
func (_e *MockManager_Expecter) ListDelegatedConnections(ctx interface{}, args interface{}) *MockManager_ListDelegatedConnections_Call {
	return &MockManager_ListDelegatedConnections_Call{Call: _e.mock.On("ListDelegatedConnections", ctx, args)}
}

func (_c *MockManager_ListDelegatedConnections_Call) Run(run func(ctx context.Context, args *manager.ListDelegatedConnectionsArgs)) *MockManager_ListDelegatedConnections_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(*manager.ListDelegatedConnectionsArgs))
	})
	return _c
}

func (_c *MockManager_ListDelegatedConnections_Call) Return(_a0 *manager.DelegatedConnections, _a1 string, _a2 error) *MockManager_ListDelegatedConnections_Call {
	_c.Call.Return(_a0, _a1, _a2)
	return _c
}

func (_c *MockManager_ListDelegatedConnections_Call) RunAndReturn(run func(context.Context, *manager.ListDelegatedConnectionsArgs) (*manager.DelegatedConnections, string, error)) *MockManager_ListDelegatedConnections_Call {
	_c.Call.Return(run)
	return _c
}

// ListDelegatedServicePublications provides a mock function with given fields: ctx, args
func (_m *MockManager) ListDelegatedServicePublications(ctx context.Context, args *manager.ListDelegatedServicePublicationsArgs) (*manager.Publications, string, error) {
	ret := _m.Called(ctx, args)

	if len(ret) == 0 {
		panic("no return value specified for ListDelegatedServicePublications")
	}

	var r0 *manager.Publications
	var r1 string
	var r2 error
	if rf, ok := ret.Get(0).(func(context.Context, *manager.ListDelegatedServicePublicationsArgs) (*manager.Publications, string, error)); ok {
		return rf(ctx, args)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *manager.ListDelegatedServicePublicationsArgs) *manager.Publications); ok {
		r0 = rf(ctx, args)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*manager.Publications)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *manager.ListDelegatedServicePublicationsArgs) string); ok {
		r1 = rf(ctx, args)
	} else {
		r1 = ret.Get(1).(string)
	}

	if rf, ok := ret.Get(2).(func(context.Context, *manager.ListDelegatedServicePublicationsArgs) error); ok {
		r2 = rf(ctx, args)
	} else {
		r2 = ret.Error(2)
	}

	return r0, r1, r2
}

// MockManager_ListDelegatedServicePublications_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'ListDelegatedServicePublications'
type MockManager_ListDelegatedServicePublications_Call struct {
	*mock.Call
}

// ListDelegatedServicePublications is a helper method to define mock.On call
//   - ctx context.Context
//   - args *manager.ListDelegatedServicePublicationsArgs
func (_e *MockManager_Expecter) ListDelegatedServicePublications(ctx interface{}, args interface{}) *MockManager_ListDelegatedServicePublications_Call {
	return &MockManager_ListDelegatedServicePublications_Call{Call: _e.mock.On("ListDelegatedServicePublications", ctx, args)}
}

func (_c *MockManager_ListDelegatedServicePublications_Call) Run(run func(ctx context.Context, args *manager.ListDelegatedServicePublicationsArgs)) *MockManager_ListDelegatedServicePublications_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(*manager.ListDelegatedServicePublicationsArgs))
	})
	return _c
}

func (_c *MockManager_ListDelegatedServicePublications_Call) Return(_a0 *manager.Publications, _a1 string, _a2 error) *MockManager_ListDelegatedServicePublications_Call {
	_c.Call.Return(_a0, _a1, _a2)
	return _c
}

func (_c *MockManager_ListDelegatedServicePublications_Call) RunAndReturn(run func(context.Context, *manager.ListDelegatedServicePublicationsArgs) (*manager.Publications, string, error)) *MockManager_ListDelegatedServicePublications_Call {
	_c.Call.Return(run)
	return _c
}

// ListIncomingConnections provides a mock function with given fields: ctx, args
func (_m *MockManager) ListIncomingConnections(ctx context.Context, args *manager.ListIncomingConnectionsArgs) (*manager.IncomingConnections, string, error) {
	ret := _m.Called(ctx, args)

	if len(ret) == 0 {
		panic("no return value specified for ListIncomingConnections")
	}

	var r0 *manager.IncomingConnections
	var r1 string
	var r2 error
	if rf, ok := ret.Get(0).(func(context.Context, *manager.ListIncomingConnectionsArgs) (*manager.IncomingConnections, string, error)); ok {
		return rf(ctx, args)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *manager.ListIncomingConnectionsArgs) *manager.IncomingConnections); ok {
		r0 = rf(ctx, args)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*manager.IncomingConnections)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *manager.ListIncomingConnectionsArgs) string); ok {
		r1 = rf(ctx, args)
	} else {
		r1 = ret.Get(1).(string)
	}

	if rf, ok := ret.Get(2).(func(context.Context, *manager.ListIncomingConnectionsArgs) error); ok {
		r2 = rf(ctx, args)
	} else {
		r2 = ret.Error(2)
	}

	return r0, r1, r2
}

// MockManager_ListIncomingConnections_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'ListIncomingConnections'
type MockManager_ListIncomingConnections_Call struct {
	*mock.Call
}

// ListIncomingConnections is a helper method to define mock.On call
//   - ctx context.Context
//   - args *manager.ListIncomingConnectionsArgs
func (_e *MockManager_Expecter) ListIncomingConnections(ctx interface{}, args interface{}) *MockManager_ListIncomingConnections_Call {
	return &MockManager_ListIncomingConnections_Call{Call: _e.mock.On("ListIncomingConnections", ctx, args)}
}

func (_c *MockManager_ListIncomingConnections_Call) Run(run func(ctx context.Context, args *manager.ListIncomingConnectionsArgs)) *MockManager_ListIncomingConnections_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(*manager.ListIncomingConnectionsArgs))
	})
	return _c
}

func (_c *MockManager_ListIncomingConnections_Call) Return(_a0 *manager.IncomingConnections, _a1 string, _a2 error) *MockManager_ListIncomingConnections_Call {
	_c.Call.Return(_a0, _a1, _a2)
	return _c
}

func (_c *MockManager_ListIncomingConnections_Call) RunAndReturn(run func(context.Context, *manager.ListIncomingConnectionsArgs) (*manager.IncomingConnections, string, error)) *MockManager_ListIncomingConnections_Call {
	_c.Call.Return(run)
	return _c
}

// ListOutgoingConnections provides a mock function with given fields: ctx, args
func (_m *MockManager) ListOutgoingConnections(ctx context.Context, args *manager.ListOutgoingConnectionsArgs) (*manager.OutgoingConnections, string, error) {
	ret := _m.Called(ctx, args)

	if len(ret) == 0 {
		panic("no return value specified for ListOutgoingConnections")
	}

	var r0 *manager.OutgoingConnections
	var r1 string
	var r2 error
	if rf, ok := ret.Get(0).(func(context.Context, *manager.ListOutgoingConnectionsArgs) (*manager.OutgoingConnections, string, error)); ok {
		return rf(ctx, args)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *manager.ListOutgoingConnectionsArgs) *manager.OutgoingConnections); ok {
		r0 = rf(ctx, args)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*manager.OutgoingConnections)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *manager.ListOutgoingConnectionsArgs) string); ok {
		r1 = rf(ctx, args)
	} else {
		r1 = ret.Get(1).(string)
	}

	if rf, ok := ret.Get(2).(func(context.Context, *manager.ListOutgoingConnectionsArgs) error); ok {
		r2 = rf(ctx, args)
	} else {
		r2 = ret.Error(2)
	}

	return r0, r1, r2
}

// MockManager_ListOutgoingConnections_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'ListOutgoingConnections'
type MockManager_ListOutgoingConnections_Call struct {
	*mock.Call
}

// ListOutgoingConnections is a helper method to define mock.On call
//   - ctx context.Context
//   - args *manager.ListOutgoingConnectionsArgs
func (_e *MockManager_Expecter) ListOutgoingConnections(ctx interface{}, args interface{}) *MockManager_ListOutgoingConnections_Call {
	return &MockManager_ListOutgoingConnections_Call{Call: _e.mock.On("ListOutgoingConnections", ctx, args)}
}

func (_c *MockManager_ListOutgoingConnections_Call) Run(run func(ctx context.Context, args *manager.ListOutgoingConnectionsArgs)) *MockManager_ListOutgoingConnections_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(*manager.ListOutgoingConnectionsArgs))
	})
	return _c
}

func (_c *MockManager_ListOutgoingConnections_Call) Return(_a0 *manager.OutgoingConnections, _a1 string, _a2 error) *MockManager_ListOutgoingConnections_Call {
	_c.Call.Return(_a0, _a1, _a2)
	return _c
}

func (_c *MockManager_ListOutgoingConnections_Call) RunAndReturn(run func(context.Context, *manager.ListOutgoingConnectionsArgs) (*manager.OutgoingConnections, string, error)) *MockManager_ListOutgoingConnections_Call {
	_c.Call.Return(run)
	return _c
}

// ListOutgoingConnectionsForDelegatedService provides a mock function with given fields: ctx, args
func (_m *MockManager) ListOutgoingConnectionsForDelegatedService(ctx context.Context, args *manager.ListOutgoingConnectionsForDelegatedServiceArgs) ([]*manager.Connection, error) {
	ret := _m.Called(ctx, args)

	if len(ret) == 0 {
		panic("no return value specified for ListOutgoingConnectionsForDelegatedService")
	}

	var r0 []*manager.Connection
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *manager.ListOutgoingConnectionsForDelegatedServiceArgs) ([]*manager.Connection, error)); ok {
		return rf(ctx, args)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *manager.ListOutgoingConnectionsForDelegatedServiceArgs) []*manager.Connection); ok {
		r0 = rf(ctx, args)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]*manager.Connection)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *manager.ListOutgoingConnectionsForDelegatedServiceArgs) error); ok {
		r1 = rf(ctx, args)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockManager_ListOutgoingConnectionsForDelegatedService_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'ListOutgoingConnectionsForDelegatedService'
type MockManager_ListOutgoingConnectionsForDelegatedService_Call struct {
	*mock.Call
}

// ListOutgoingConnectionsForDelegatedService is a helper method to define mock.On call
//   - ctx context.Context
//   - args *manager.ListOutgoingConnectionsForDelegatedServiceArgs
func (_e *MockManager_Expecter) ListOutgoingConnectionsForDelegatedService(ctx interface{}, args interface{}) *MockManager_ListOutgoingConnectionsForDelegatedService_Call {
	return &MockManager_ListOutgoingConnectionsForDelegatedService_Call{Call: _e.mock.On("ListOutgoingConnectionsForDelegatedService", ctx, args)}
}

func (_c *MockManager_ListOutgoingConnectionsForDelegatedService_Call) Run(run func(ctx context.Context, args *manager.ListOutgoingConnectionsForDelegatedServiceArgs)) *MockManager_ListOutgoingConnectionsForDelegatedService_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(*manager.ListOutgoingConnectionsForDelegatedServiceArgs))
	})
	return _c
}

func (_c *MockManager_ListOutgoingConnectionsForDelegatedService_Call) Return(_a0 []*manager.Connection, _a1 error) *MockManager_ListOutgoingConnectionsForDelegatedService_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockManager_ListOutgoingConnectionsForDelegatedService_Call) RunAndReturn(run func(context.Context, *manager.ListOutgoingConnectionsForDelegatedServiceArgs) ([]*manager.Connection, error)) *MockManager_ListOutgoingConnectionsForDelegatedService_Call {
	_c.Call.Return(run)
	return _c
}

// ListOutgoingConnectionsForService provides a mock function with given fields: ctx, args
func (_m *MockManager) ListOutgoingConnectionsForService(ctx context.Context, args *manager.ListOutgoingConnectionsForServiceArgs) ([]*manager.Connection, error) {
	ret := _m.Called(ctx, args)

	if len(ret) == 0 {
		panic("no return value specified for ListOutgoingConnectionsForService")
	}

	var r0 []*manager.Connection
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *manager.ListOutgoingConnectionsForServiceArgs) ([]*manager.Connection, error)); ok {
		return rf(ctx, args)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *manager.ListOutgoingConnectionsForServiceArgs) []*manager.Connection); ok {
		r0 = rf(ctx, args)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]*manager.Connection)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *manager.ListOutgoingConnectionsForServiceArgs) error); ok {
		r1 = rf(ctx, args)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockManager_ListOutgoingConnectionsForService_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'ListOutgoingConnectionsForService'
type MockManager_ListOutgoingConnectionsForService_Call struct {
	*mock.Call
}

// ListOutgoingConnectionsForService is a helper method to define mock.On call
//   - ctx context.Context
//   - args *manager.ListOutgoingConnectionsForServiceArgs
func (_e *MockManager_Expecter) ListOutgoingConnectionsForService(ctx interface{}, args interface{}) *MockManager_ListOutgoingConnectionsForService_Call {
	return &MockManager_ListOutgoingConnectionsForService_Call{Call: _e.mock.On("ListOutgoingConnectionsForService", ctx, args)}
}

func (_c *MockManager_ListOutgoingConnectionsForService_Call) Run(run func(ctx context.Context, args *manager.ListOutgoingConnectionsForServiceArgs)) *MockManager_ListOutgoingConnectionsForService_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(*manager.ListOutgoingConnectionsForServiceArgs))
	})
	return _c
}

func (_c *MockManager_ListOutgoingConnectionsForService_Call) Return(_a0 []*manager.Connection, _a1 error) *MockManager_ListOutgoingConnectionsForService_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockManager_ListOutgoingConnectionsForService_Call) RunAndReturn(run func(context.Context, *manager.ListOutgoingConnectionsForServiceArgs) ([]*manager.Connection, error)) *MockManager_ListOutgoingConnectionsForService_Call {
	_c.Call.Return(run)
	return _c
}

// ListPeers provides a mock function with given fields: ctx, peerIDs
func (_m *MockManager) ListPeers(ctx context.Context, peerIDs *[]string) (manager.Peers, error) {
	ret := _m.Called(ctx, peerIDs)

	if len(ret) == 0 {
		panic("no return value specified for ListPeers")
	}

	var r0 manager.Peers
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *[]string) (manager.Peers, error)); ok {
		return rf(ctx, peerIDs)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *[]string) manager.Peers); ok {
		r0 = rf(ctx, peerIDs)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(manager.Peers)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *[]string) error); ok {
		r1 = rf(ctx, peerIDs)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockManager_ListPeers_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'ListPeers'
type MockManager_ListPeers_Call struct {
	*mock.Call
}

// ListPeers is a helper method to define mock.On call
//   - ctx context.Context
//   - peerIDs *[]string
func (_e *MockManager_Expecter) ListPeers(ctx interface{}, peerIDs interface{}) *MockManager_ListPeers_Call {
	return &MockManager_ListPeers_Call{Call: _e.mock.On("ListPeers", ctx, peerIDs)}
}

func (_c *MockManager_ListPeers_Call) Run(run func(ctx context.Context, peerIDs *[]string)) *MockManager_ListPeers_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(*[]string))
	})
	return _c
}

func (_c *MockManager_ListPeers_Call) Return(_a0 manager.Peers, _a1 error) *MockManager_ListPeers_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockManager_ListPeers_Call) RunAndReturn(run func(context.Context, *[]string) (manager.Peers, error)) *MockManager_ListPeers_Call {
	_c.Call.Return(run)
	return _c
}

// ListServicePublications provides a mock function with given fields: ctx, args
func (_m *MockManager) ListServicePublications(ctx context.Context, args *manager.ListServicePublicationsArgs) (*manager.Publications, string, error) {
	ret := _m.Called(ctx, args)

	if len(ret) == 0 {
		panic("no return value specified for ListServicePublications")
	}

	var r0 *manager.Publications
	var r1 string
	var r2 error
	if rf, ok := ret.Get(0).(func(context.Context, *manager.ListServicePublicationsArgs) (*manager.Publications, string, error)); ok {
		return rf(ctx, args)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *manager.ListServicePublicationsArgs) *manager.Publications); ok {
		r0 = rf(ctx, args)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*manager.Publications)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *manager.ListServicePublicationsArgs) string); ok {
		r1 = rf(ctx, args)
	} else {
		r1 = ret.Get(1).(string)
	}

	if rf, ok := ret.Get(2).(func(context.Context, *manager.ListServicePublicationsArgs) error); ok {
		r2 = rf(ctx, args)
	} else {
		r2 = ret.Error(2)
	}

	return r0, r1, r2
}

// MockManager_ListServicePublications_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'ListServicePublications'
type MockManager_ListServicePublications_Call struct {
	*mock.Call
}

// ListServicePublications is a helper method to define mock.On call
//   - ctx context.Context
//   - args *manager.ListServicePublicationsArgs
func (_e *MockManager_Expecter) ListServicePublications(ctx interface{}, args interface{}) *MockManager_ListServicePublications_Call {
	return &MockManager_ListServicePublications_Call{Call: _e.mock.On("ListServicePublications", ctx, args)}
}

func (_c *MockManager_ListServicePublications_Call) Run(run func(ctx context.Context, args *manager.ListServicePublicationsArgs)) *MockManager_ListServicePublications_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(*manager.ListServicePublicationsArgs))
	})
	return _c
}

func (_c *MockManager_ListServicePublications_Call) Return(_a0 *manager.Publications, _a1 string, _a2 error) *MockManager_ListServicePublications_Call {
	_c.Call.Return(_a0, _a1, _a2)
	return _c
}

func (_c *MockManager_ListServicePublications_Call) RunAndReturn(run func(context.Context, *manager.ListServicePublicationsArgs) (*manager.Publications, string, error)) *MockManager_ListServicePublications_Call {
	_c.Call.Return(run)
	return _c
}

// ListServices provides a mock function with given fields: ctx, args
func (_m *MockManager) ListServices(ctx context.Context, args *manager.ListServicesArgs) (manager.Services, error) {
	ret := _m.Called(ctx, args)

	if len(ret) == 0 {
		panic("no return value specified for ListServices")
	}

	var r0 manager.Services
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *manager.ListServicesArgs) (manager.Services, error)); ok {
		return rf(ctx, args)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *manager.ListServicesArgs) manager.Services); ok {
		r0 = rf(ctx, args)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(manager.Services)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *manager.ListServicesArgs) error); ok {
		r1 = rf(ctx, args)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockManager_ListServices_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'ListServices'
type MockManager_ListServices_Call struct {
	*mock.Call
}

// ListServices is a helper method to define mock.On call
//   - ctx context.Context
//   - args *manager.ListServicesArgs
func (_e *MockManager_Expecter) ListServices(ctx interface{}, args interface{}) *MockManager_ListServices_Call {
	return &MockManager_ListServices_Call{Call: _e.mock.On("ListServices", ctx, args)}
}

func (_c *MockManager_ListServices_Call) Run(run func(ctx context.Context, args *manager.ListServicesArgs)) *MockManager_ListServices_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(*manager.ListServicesArgs))
	})
	return _c
}

func (_c *MockManager_ListServices_Call) Return(_a0 manager.Services, _a1 error) *MockManager_ListServices_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockManager_ListServices_Call) RunAndReturn(run func(context.Context, *manager.ListServicesArgs) (manager.Services, error)) *MockManager_ListServices_Call {
	_c.Call.Return(run)
	return _c
}

// ListTXLogRecords provides a mock function with given fields: ctx, args
func (_m *MockManager) ListTXLogRecords(ctx context.Context, args *manager.ListTXLogRecordsRequest) ([]*manager.TXLogRecord, error) {
	ret := _m.Called(ctx, args)

	if len(ret) == 0 {
		panic("no return value specified for ListTXLogRecords")
	}

	var r0 []*manager.TXLogRecord
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context, *manager.ListTXLogRecordsRequest) ([]*manager.TXLogRecord, error)); ok {
		return rf(ctx, args)
	}
	if rf, ok := ret.Get(0).(func(context.Context, *manager.ListTXLogRecordsRequest) []*manager.TXLogRecord); ok {
		r0 = rf(ctx, args)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).([]*manager.TXLogRecord)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context, *manager.ListTXLogRecordsRequest) error); ok {
		r1 = rf(ctx, args)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockManager_ListTXLogRecords_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'ListTXLogRecords'
type MockManager_ListTXLogRecords_Call struct {
	*mock.Call
}

// ListTXLogRecords is a helper method to define mock.On call
//   - ctx context.Context
//   - args *manager.ListTXLogRecordsRequest
func (_e *MockManager_Expecter) ListTXLogRecords(ctx interface{}, args interface{}) *MockManager_ListTXLogRecords_Call {
	return &MockManager_ListTXLogRecords_Call{Call: _e.mock.On("ListTXLogRecords", ctx, args)}
}

func (_c *MockManager_ListTXLogRecords_Call) Run(run func(ctx context.Context, args *manager.ListTXLogRecordsRequest)) *MockManager_ListTXLogRecords_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(*manager.ListTXLogRecordsRequest))
	})
	return _c
}

func (_c *MockManager_ListTXLogRecords_Call) Return(_a0 []*manager.TXLogRecord, _a1 error) *MockManager_ListTXLogRecords_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockManager_ListTXLogRecords_Call) RunAndReturn(run func(context.Context, *manager.ListTXLogRecordsRequest) ([]*manager.TXLogRecord, error)) *MockManager_ListTXLogRecords_Call {
	_c.Call.Return(run)
	return _c
}

// RejectContract provides a mock function with given fields: ctx, contentHash, auditlogCorrelationID
func (_m *MockManager) RejectContract(ctx context.Context, contentHash string, auditlogCorrelationID string) error {
	ret := _m.Called(ctx, contentHash, auditlogCorrelationID)

	if len(ret) == 0 {
		panic("no return value specified for RejectContract")
	}

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, string, string) error); ok {
		r0 = rf(ctx, contentHash, auditlogCorrelationID)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// MockManager_RejectContract_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'RejectContract'
type MockManager_RejectContract_Call struct {
	*mock.Call
}

// RejectContract is a helper method to define mock.On call
//   - ctx context.Context
//   - contentHash string
//   - auditlogCorrelationID string
func (_e *MockManager_Expecter) RejectContract(ctx interface{}, contentHash interface{}, auditlogCorrelationID interface{}) *MockManager_RejectContract_Call {
	return &MockManager_RejectContract_Call{Call: _e.mock.On("RejectContract", ctx, contentHash, auditlogCorrelationID)}
}

func (_c *MockManager_RejectContract_Call) Run(run func(ctx context.Context, contentHash string, auditlogCorrelationID string)) *MockManager_RejectContract_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(string), args[2].(string))
	})
	return _c
}

func (_c *MockManager_RejectContract_Call) Return(_a0 error) *MockManager_RejectContract_Call {
	_c.Call.Return(_a0)
	return _c
}

func (_c *MockManager_RejectContract_Call) RunAndReturn(run func(context.Context, string, string) error) *MockManager_RejectContract_Call {
	_c.Call.Return(run)
	return _c
}

// RetryContract provides a mock function with given fields: ctx, contentHash, peerID, action, auditlogCorrelationID
func (_m *MockManager) RetryContract(ctx context.Context, contentHash string, peerID string, action manager.Action, auditlogCorrelationID string) error {
	ret := _m.Called(ctx, contentHash, peerID, action, auditlogCorrelationID)

	if len(ret) == 0 {
		panic("no return value specified for RetryContract")
	}

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, string, string, manager.Action, string) error); ok {
		r0 = rf(ctx, contentHash, peerID, action, auditlogCorrelationID)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// MockManager_RetryContract_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'RetryContract'
type MockManager_RetryContract_Call struct {
	*mock.Call
}

// RetryContract is a helper method to define mock.On call
//   - ctx context.Context
//   - contentHash string
//   - peerID string
//   - action manager.Action
//   - auditlogCorrelationID string
func (_e *MockManager_Expecter) RetryContract(ctx interface{}, contentHash interface{}, peerID interface{}, action interface{}, auditlogCorrelationID interface{}) *MockManager_RetryContract_Call {
	return &MockManager_RetryContract_Call{Call: _e.mock.On("RetryContract", ctx, contentHash, peerID, action, auditlogCorrelationID)}
}

func (_c *MockManager_RetryContract_Call) Run(run func(ctx context.Context, contentHash string, peerID string, action manager.Action, auditlogCorrelationID string)) *MockManager_RetryContract_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(string), args[2].(string), args[3].(manager.Action), args[4].(string))
	})
	return _c
}

func (_c *MockManager_RetryContract_Call) Return(_a0 error) *MockManager_RetryContract_Call {
	_c.Call.Return(_a0)
	return _c
}

func (_c *MockManager_RetryContract_Call) RunAndReturn(run func(context.Context, string, string, manager.Action, string) error) *MockManager_RetryContract_Call {
	_c.Call.Return(run)
	return _c
}

// RevokeContract provides a mock function with given fields: ctx, contentHash, auditlogCorrelationID
func (_m *MockManager) RevokeContract(ctx context.Context, contentHash string, auditlogCorrelationID string) error {
	ret := _m.Called(ctx, contentHash, auditlogCorrelationID)

	if len(ret) == 0 {
		panic("no return value specified for RevokeContract")
	}

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, string, string) error); ok {
		r0 = rf(ctx, contentHash, auditlogCorrelationID)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// MockManager_RevokeContract_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'RevokeContract'
type MockManager_RevokeContract_Call struct {
	*mock.Call
}

// RevokeContract is a helper method to define mock.On call
//   - ctx context.Context
//   - contentHash string
//   - auditlogCorrelationID string
func (_e *MockManager_Expecter) RevokeContract(ctx interface{}, contentHash interface{}, auditlogCorrelationID interface{}) *MockManager_RevokeContract_Call {
	return &MockManager_RevokeContract_Call{Call: _e.mock.On("RevokeContract", ctx, contentHash, auditlogCorrelationID)}
}

func (_c *MockManager_RevokeContract_Call) Run(run func(ctx context.Context, contentHash string, auditlogCorrelationID string)) *MockManager_RevokeContract_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(string), args[2].(string))
	})
	return _c
}

func (_c *MockManager_RevokeContract_Call) Return(_a0 error) *MockManager_RevokeContract_Call {
	_c.Call.Return(_a0)
	return _c
}

func (_c *MockManager_RevokeContract_Call) RunAndReturn(run func(context.Context, string, string) error) *MockManager_RevokeContract_Call {
	_c.Call.Return(run)
	return _c
}

// SyncPeers provides a mock function with given fields: ctx
func (_m *MockManager) SyncPeers(ctx context.Context) (map[string]manager.SynchronizationResult, error) {
	ret := _m.Called(ctx)

	if len(ret) == 0 {
		panic("no return value specified for SyncPeers")
	}

	var r0 map[string]manager.SynchronizationResult
	var r1 error
	if rf, ok := ret.Get(0).(func(context.Context) (map[string]manager.SynchronizationResult, error)); ok {
		return rf(ctx)
	}
	if rf, ok := ret.Get(0).(func(context.Context) map[string]manager.SynchronizationResult); ok {
		r0 = rf(ctx)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(map[string]manager.SynchronizationResult)
		}
	}

	if rf, ok := ret.Get(1).(func(context.Context) error); ok {
		r1 = rf(ctx)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// MockManager_SyncPeers_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'SyncPeers'
type MockManager_SyncPeers_Call struct {
	*mock.Call
}

// SyncPeers is a helper method to define mock.On call
//   - ctx context.Context
func (_e *MockManager_Expecter) SyncPeers(ctx interface{}) *MockManager_SyncPeers_Call {
	return &MockManager_SyncPeers_Call{Call: _e.mock.On("SyncPeers", ctx)}
}

func (_c *MockManager_SyncPeers_Call) Run(run func(ctx context.Context)) *MockManager_SyncPeers_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context))
	})
	return _c
}

func (_c *MockManager_SyncPeers_Call) Return(_a0 map[string]manager.SynchronizationResult, _a1 error) *MockManager_SyncPeers_Call {
	_c.Call.Return(_a0, _a1)
	return _c
}

func (_c *MockManager_SyncPeers_Call) RunAndReturn(run func(context.Context) (map[string]manager.SynchronizationResult, error)) *MockManager_SyncPeers_Call {
	_c.Call.Return(run)
	return _c
}

// UpdatePeer provides a mock function with given fields: ctx, args
func (_m *MockManager) UpdatePeer(ctx context.Context, args *manager.UpdatePeerArgs) error {
	ret := _m.Called(ctx, args)

	if len(ret) == 0 {
		panic("no return value specified for UpdatePeer")
	}

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, *manager.UpdatePeerArgs) error); ok {
		r0 = rf(ctx, args)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// MockManager_UpdatePeer_Call is a *mock.Call that shadows Run/Return methods with type explicit version for method 'UpdatePeer'
type MockManager_UpdatePeer_Call struct {
	*mock.Call
}

// UpdatePeer is a helper method to define mock.On call
//   - ctx context.Context
//   - args *manager.UpdatePeerArgs
func (_e *MockManager_Expecter) UpdatePeer(ctx interface{}, args interface{}) *MockManager_UpdatePeer_Call {
	return &MockManager_UpdatePeer_Call{Call: _e.mock.On("UpdatePeer", ctx, args)}
}

func (_c *MockManager_UpdatePeer_Call) Run(run func(ctx context.Context, args *manager.UpdatePeerArgs)) *MockManager_UpdatePeer_Call {
	_c.Call.Run(func(args mock.Arguments) {
		run(args[0].(context.Context), args[1].(*manager.UpdatePeerArgs))
	})
	return _c
}

func (_c *MockManager_UpdatePeer_Call) Return(_a0 error) *MockManager_UpdatePeer_Call {
	_c.Call.Return(_a0)
	return _c
}

func (_c *MockManager_UpdatePeer_Call) RunAndReturn(run func(context.Context, *manager.UpdatePeerArgs) error) *MockManager_UpdatePeer_Call {
	_c.Call.Return(run)
	return _c
}

// NewMockManager creates a new instance of MockManager. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
// The first argument is typically a *testing.T value.
func NewMockManager(t interface {
	mock.TestingT
	Cleanup(func())
}) *MockManager {
	mock := &MockManager{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
